/** 
 * @student.info
 *<BR> Name:          Mr. Eliot
 *<BR> Date:          11-06-2012, Updated 11-3-2013, Updated 11-6-2015, Updated 10-31-2018
 *<BR> Period:        All
 *<BR> Assignment:    Demo Recursive Triangles
 *<BR> Description:   Create triangles within a triangle within a triangle...
 *<BR> Cite Sources:  Mrs. Atmadja for Equilateral Triangle height formula, "rad 3 over 2"
 */

import gpdraw.*;

public class GPDrawRecursiveTriangleStudent
{
	private static DrawingTool myPencil;
	
    public static void main(String[] args)
    {
		myPencil = new DrawingTool(new SketchPad(600, 600));
		
		recursiveTriangle(400, -200, -200);		//FIRST METHOD CALL
    }
	
	/**
	* <b>summary</b>: This method recursively draws Equilateral Triangles based
	* on the variable "length", and the coordinates of the lower-left corner of
	* the triangle based on "x" and "y".
	* @param length -- Length of one side of the Equilateral Triangle
	* @param x -- X coordinate of the lower-left corner of the Equilateral Triangle
	* @param y -- Y coordinate of the lower-left corner of the Equilateral Triangle
	*/ 
	private static void recursiveTriangle(double length, double x, double y)
	{
		double height;
		double halfLength;
		double quarterLength;
		
		if (length <= 600.0)	//BASE CASE//	
		{
			//GPDRAW a triangle based on length, x and y values
			myPencil.up();
			myPencil.move(x, y);
			myPencil.down();
			myPencil.setDirection(60);
			myPencil.forward(length);
			myPencil.turnRight(120);
			myPencil.forward(length);
			myPencil.turnRight(120);
			myPencil.forward(length);
			myPencil.turnRight(120);
		}
		else					//RECURSION//
		{
			
			//We will write this code together in class!!
			//We will write this code together in class!!
			//We will write this code together in class!!
			//We will write this code together in class!!		
			
		}
	}
}

/**
RUN OUTPUT:

*/